Subject: Re: Reduce unused native-inputs for grub-efi and grub-minimal
From: Vagrant Cascadian <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 11 Feb 2025 12:24:58 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2025-02-06, Efraim Flashner wrote:
> On Thu, Jan 23, 2025 at 11:19:29AM -0800, Vagrant Cascadian wrote:
>> On 2025-01-23, Vagrant Cascadian wrote:
>> > The attached patch removes the native-inputs on qemu-minimal for both
>> > grub-efi and grub-minimal, neither of which actually use qemu-minimal it
>> > because tests are disabled.
>> ...
>> > I did not test all reverse dependents yet, but both grub-efi and
>> > grub-minimal still build.
>> 
>> And I still have not tested reverse dependents, because... there are no
>> dependents!
>> 
>> Though grub-efi is presumably widely used on actual systems and I have
>> only tested a single aarch64 system...
>
> I'd like to eventually figure out running the tests, but I assume I'd
> do it on x86_64 only either due to test support or machine speed.  No
> reason to keep it as an input for "eventually".

Sound reasonable to me!

> LGTM!

Great, pushed as:

  d3201247713f4de6d78b899ef6d9014fa9dfc542 gnu: grub-minimal, grub-efi: Reduce unused native-inputs.

live well,
  vagrant